%define name gnome-osd
%define version 0.12.2
%define release %mkrel 1

Summary: Gnome OSD notification system
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:  Graphical desktop/GNOME
URL: https://launchpad.net/ubuntu/intrepid/+source/gnome-osd/0.12.2-1
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel 
BuildRequires: desktop-file-utils
BuildRequires: GConf2-devel
BuildRequires: pygtk2.0-devel 
BuildRequires: pkgconfig
Requires: python >= 2.5
Requires: pygtk2.0
Requires: gnome-python 


%description
Gnome OSD is a small project to create an OSD (On Screen Display) infrastructure, 
similar to XOSD. It includes a command-line client, xchat, rhythmbox/muine, evolution 
plugins and a configuration applet.

%prep
%setup -q

%build
%configure2_5x \
          --disable-schemas-install

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#fix
cp -a $RPM_BUILD_ROOT/%{_bindir}/%{name}-event-bridge $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cp -a $RPM_BUILD_ROOT/%{_datadir}/control-center-2.0/capplets/*.desktop $RPM_BUILD_ROOT/%{_datadir}/applications

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %{name}
%update_menus

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/%{name}-client
%{_bindir}/%{name}-properties
%{_bindir}/%{name}-event-bridge
%{_libdir}/bonobo/servers/GNOME_OSD.server
%{_libdir}/%{name}-server
%{_libdir}/%{name}-event-bridge
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/pt.inescporto.telecom.GnomeOSD.EventBridge.service
%{_datadir}/dbus-1/services/pt.inescporto.telecom.GnomeOSD.service
%{_datadir}/%{name}/xchatosd.py
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}-client.1.bz2
%{py_sitedir}/*

%changelog
* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 0.12.2-1pclos2009
-initial pkg

